aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--_config.yml1
-rw-r--r--bin/build.sh16
2 files changed, 17 insertions, 0 deletions
diff --git a/_config.yml b/_config.yml
index 21bde15..695e580 100644
--- a/_config.yml
+++ b/_config.yml
@@ -47,4 +47,5 @@ exclude:
- TODO
- wget-log*
- docker/
+- Gemfile*
plugins: ['nokogiri']
diff --git a/bin/build.sh b/bin/build.sh
new file mode 100644
index 0000000..618b26a
--- /dev/null
+++ b/bin/build.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+IMAGE_NAME=docker.gentoo.org/sites/www
+IMAGE_TAG=latest
+IMAGE=${IMAGE_NAME}:${IMAGE_TAG}
+IMAGE_SRC=docker/
+docker build -t "${IMAGE}" "${IMAGE_SRC}"
+docker run \
+ --rm \
+ --net=none \
+ -e JEKYLL_UID=$(id -u) \
+ -e JEKYLL_GID=$(id -g) \
+ --volume="${PWD}:/srv/jekyll" \
+ --volume="${PWD}/.bundle:/usr/local/bundle/" \
+ "${IMAGE}" \
+ jekyll build